# SPDX-License-Identifier: Unlicense
# SPDX-FileCopyrightText: 2023 Vieno Hakkerinen <vieno@hakkerinen.eu>

Vagrant.require_version ">= 1.9.1"
Vagrant.configure("2") do |config|
        machines = {
                "debian" => "debian/bookworm64"
        }
        machines.each_pair do |hostname, box|
                config.vm.define "#{hostname}" do |machine|
                        machine.vm.box = "#{box}"
                        machine.vm.provider "virtualbox" do |vb|
                                vb.check_guest_additions = false
                                vb.cpus = 1
                                vb.customize ["modifyvm", :id, "--vram", 16]
                                vb.default_nic_type = "virtio"
                                vb.gui = true
                                vb.linked_clone = true
                                vb.name = "#{hostname}"
                                vb.memory = 2048
                        end
                        machine.vm.provision "shell", path: "setup-x11.sh",
				privileged: false
                end
        end
end
